Bug 1127141 - web handles pages as projects and vice versa. we should separate them
Summary: web handles pages as projects and vice versa. we should separate them
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Adam Samalik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 09:01 UTC by Igor Gnatenko
Modified: 2014-08-22 14:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-22 14:54:15 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2014-08-06 09:01:31 UTC
http://copr.fedoraproject.org/coprs/ignatenkobrain/1/

We should not allow to create projects with only-num names.
I think regexp should be:
^[0-9]+$

Also we shouldn't provide users to open pages like above as project. only as page. If page doesn't exist - show error and button to available pages.
http://copr.fedoraproject.org/coprs/ignatenkobrain/3/

Comment 1 Igor Gnatenko 2014-08-06 09:04:32 UTC
or we can provide pages with projects as /coprs/fas_name/page/page_num/ instead of /coprs/fas_name/page_num/ to separate projects and pages.

Comment 2 Miroslav Suchý 2014-08-18 14:30:19 UTC
I agree with #0. The project name should start with non-digit character.

Comment 3 Valentin Gologuzov 2014-08-22 10:50:14 UTC
Since Adam have already implemented fix, reassigned ticket.


Note You need to log in before you can comment on or make changes to this bug.